Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class ISOResource

`java.lang.Object
oracle.ovs.api.datamodel.resource.ISOResource`

All Implemented Interfaces:
  java.io.Serializable

      public class ISOResource

extends java.lang.Object
implements java.io.Serializable

ISO resource to descript an iso file in the server

See Also:
  Serialized Form

Constructor Summary
`ISOResource()`
`ISOResource(DiscoveredISO cdrom)`
`ISOResource(oracle.ovs.datamodel.OvsResource cdrom)`

Method Summary
`java.lang.String` | `getBootable()`
`java.lang.String` | `getComments()`
`java.lang.String` | `getISOFileName()`
`java.lang.String` | `getISOGroup()`
`java.lang.String` | `getISOName()`
`java.lang.Long` | `getIsoResourceId()`
`java.lang.Long` | `getServerPoolId()`
`java.lang.String` | `getStatus()`
`void` | `setBootable(java.lang.String Bootable)`
`void` | `setComments(java.lang.String Comments)`
`void` | `setISOFileName(java.lang.String ISOFileName)`
`void` | `setISOGroup(java.lang.String ISOGroup)`
`void` | `setISOName(java.lang.String ISOName)`
`void` | `setIsoResourceId(java.lang.Long isoResourceId)`
`void` | `setServerPoolId(java.lang.Long serverPoolId)`
`void` | `setStatus(java.lang.String status)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ISOResource

    public ISOResource()

### ISOResource

    public ISOResource(DiscoveredISO cdrom)

### ISOResource

    public ISOResource(oracle.ovs.datamodel.OvsResource cdrom)

Method Detail

### setIsoResourceId

    public void setIsoResourceId(java.lang.Long isoResourceId)

### getIsoResourceId

    public java.lang.Long getIsoResourceId()

### getServerPoolId

    public java.lang.Long getServerPoolId()

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

### getISOName

    public java.lang.String getISOName()

### setISOName

    public void setISOName(java.lang.String ISOName)

### getISOGroup

    public java.lang.String getISOGroup()

### setISOGroup

    public void setISOGroup(java.lang.String ISOGroup)

### getISOFileName

    public java.lang.String getISOFileName()

### setISOFileName

    public void setISOFileName(java.lang.String ISOFileName)

### getComments

    public java.lang.String getComments()

### setComments

    public void setComments(java.lang.String Comments)

### getBootable

    public java.lang.String getBootable()

### setBootable

    public void setBootable(java.lang.String Bootable)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.